package ogloszenia.klient;

import java.math.BigDecimal;
import java.util.Scanner;

import ogloszenia.wygenerowane.*;

public class Klient3 {

	public static void main(String[] args) {
		try {
			Scanner sc = new Scanner(System.in);

			SerwisOgloszeniowyService serwis = new SerwisOgloszeniowyService();
			SerwisOgloszeniowy proxy = serwis.getSerwisOgloszeniowyPort();

			while (true) {
				System.out.println("Podaj nr ogłoszenia. 0 aby zakończyć");
				int nr = sc.nextInt();
				if (nr == 0)
					break;
				try {
					Samochodowe ogl = proxy.odczytajWgId(nr);
					System.out.println(ogl.getTytul() + " " + ogl.getCena());
					
					System.out.println("O ile chcesz zmienić cenę?");
					BigDecimal zmiana = sc.nextBigDecimal();
					if (!zmiana.equals(BigDecimal.ZERO)) {
						ogl.setCena(ogl.getCena().add(zmiana));
						System.out.println("zapisuję...");
						proxy.zapisz(ogl);
					}
					
				} catch (NieznanyRekord_Exception e) {
					System.out.println("Nie ma takiego ogłoszenia");
				}
			}
		} catch (BladBazyDanych_Exception e) {
			e.printStackTrace();
		}
	}

}
